component:
  - audit
framework: beakerlib
require:
  - url: https://gitlab.cee.redhat.com/special-projects/tests/audit
    name: /Library/testing
    type: library
  - audit
adjust:
  - enabled: false
    when: distro == rhel-6
    continue: false
contact:
  - Ondrej Moris <omoris@redhat.com>
description: |
    Since 2.8.4-1 audit support dumping internal state. Sending SIGCONT signal
    to auditd makes it to dump its internal state into /var/run/auditd.state
    file. This test checks that dump is created and correct.
duration: 5m
enabled: true
extra-nitrate: TC#0574527
extra-summary: /CoreOS/audit/Sanity/internal-state-dump
extra-task: /CoreOS/audit/Sanity/internal-state-dump
link:
  - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1504251
recommend:
  - audit
  - audispd-plugins
  - rsyslog
summary: Smoke test for dump of internal state
tag:
  - NoRHEL6
  - TIPpass_Security
  - Tier3
  - Tier3security
  - fedora-wanted
test: ./runtest.sh
tier: '3'
name: /Sanity/internal-state-dump
order: 50
id:
path: /Sanity/internal-state-dump
manual: false
tty: false
environment: {}
result: respect
where:
check: []
restart-on-exit-code: []
restart-max-count: 1
restart-with-reboot: false
sources:
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/main.fmf
  - /var/tmp/tmt/run-017/Plans/general/discover/Downstream_audit_tests/tests/Sanity/internal-state-dump/main.fmf
context: {}
